package com.hzya.frame.sysnew.application.plugin.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 插件表(SysApplicationPlugin)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:30:00
 */
public class SysApplicationPluginEntity extends BaseEntity {
 
  /**  应用id */
   private String appId;
  /**  插件名称 */
   private String pluginName;
  /**  插件编号 */
   private String pluginCode;
  /**  插件包名 */
   private String pluginPackageName;
  /**  插件版本 */
   private String pluginVersion;
  /**  描述 */
   private String pluginRemark;
   /**  插件类型id */
   private String typeId;
   /**  插件类型名称 */
   private String typeName;
  /**  发布日期 */
   private Date releaseDate;
  /**  启用停用（1启用2停用） */
   private String pluginStatus;
   /**  附件id */
   private String attachmentId;

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getPluginPackageName() {
        return pluginPackageName;
    }

    public void setPluginPackageName(String pluginPackageName) {
        this.pluginPackageName = pluginPackageName;
    }

    public String getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(String attachmentId) {
        this.attachmentId = attachmentId;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getPluginName() {
        return pluginName;
    }

    public void setPluginName(String pluginName) {
        this.pluginName = pluginName;
    }

    public String getPluginCode() {
        return pluginCode;
    }

    public void setPluginCode(String pluginCode) {
        this.pluginCode = pluginCode;
    }

    public String getPluginVersion() {
        return pluginVersion;
    }

    public void setPluginVersion(String pluginVersion) {
        this.pluginVersion = pluginVersion;
    }

    public String getPluginRemark() {
        return pluginRemark;
    }

    public void setPluginRemark(String pluginRemark) {
        this.pluginRemark = pluginRemark;
    }

    public Date getReleaseDate() {
        return releaseDate;
    }

    public void setReleaseDate(Date releaseDate) {
        this.releaseDate = releaseDate;
    }

    public String getPluginStatus() {
        return pluginStatus;
    }

    public void setPluginStatus(String pluginStatus) {
        this.pluginStatus = pluginStatus;
    }

}

